Bug 1573458 - Unable to install mesa-vulkan-drivers
Summary: Unable to install mesa-vulkan-drivers
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vulkan
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 10:08 UTC by Mikhail
Modified: 2019-11-27 22:51 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:51:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikhail 2018-05-01 10:08:05 UTC
Description of problem:


# dnf install mesa-vulkan-drivers
Last metadata expiration check: 0:16:50 ago on Tue 01 May 2018 02:47:57 PM +05.
Error: 
 Problem: conflicting requests
  - package mesa-vulkan-drivers-18.0.1-1.fc29.i686 requires vulkan(x86-32), but none of the providers can be installed
  - package mesa-vulkan-drivers-18.0.1-1.fc29.x86_64 requires vulkan(x86-64), but none of the providers can be installed
  - nothing provides spirv-tools-libs(x86-32) = 2018.1.0 needed by vulkan-1.1.70.0-1.fc29.i686
  - nothing provides spirv-tools-libs(x86-64) = 2018.1.0 needed by vulkan-1.1.70.0-1.fc29.x86_64


This drivers needed for Feral game ports:
- F1 2017
- Rise of Tomb Rider

Comment 1 Viktor Ashirov 2018-05-01 18:16:12 UTC
This seems to be fixed in the spec file:
https://src.fedoraproject.org/rpms/vulkan/c/03b55633cd472ba86d0ef8df3f882bfea3e1219f?branch=master

But the build was cancelled:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1075143

Comment 2 Adam Jackson 2018-05-01 18:43:15 UTC
I cancelled it because it had already failed on at least one builder, because something about rawhide's gcc is taking enough more memory that vulkan no longer builds on i686 or arm32.

Comment 3 Adam Jackson 2018-05-01 19:00:02 UTC
F28's gcc manages to still build vulkan, apparently, and had successfully built 1.1.73.0. I've asked for the F29 builds to be untagged and the F28 builds to be included in rawhide, hopefully this should clear up in the next rawhide push.

Comment 4 Viktor Ashirov 2018-05-01 19:19:06 UTC
(In reply to Adam Jackson from comment #2)
> I cancelled it because it had already failed on at least one builder,
> because something about rawhide's gcc is taking enough more memory that
> vulkan no longer builds on i686 or arm32.

Right, I noticed this as well. On x86_64 mockbuild for rawhide consumed ~42 GB of RAM, and mockbuild for f28 - only ~10 GB.

Comment 5 leigh scott 2018-05-02 00:08:23 UTC
(In reply to Adam Jackson from comment #2)
> I cancelled it because it had already failed on at least one builder,
> because something about rawhide's gcc is taking enough more memory that
> vulkan no longer builds on i686 or arm32.

Maybe reducing the amount of  ninja jobs/threads for i686 and arm32 would enable build till the gcc issue is fixed.

Comment 6 Jan Kurik 2018-08-14 10:04:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Ben Cotton 2019-10-31 19:08:32 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-11-27 22:51:13 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.